Product comparison · 2 network switches

Allied Telesis FS750/20 Managed Fast Ethernet (10/100) 1U Grey vs NETGEAR GS728TPPv1 Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey

Add a product
  • 38specifications compared
  • 16differ
  • 22identical
  • 44known for one product only

Key differences

  • Basic switching RJ-45 Ethernet ports quantity
    • FS750/20 Managed Fast Ethernet (10/100) 1U Grey:18
    • GS728TPPv1 Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey:24
  • Switching capacity
    • FS750/20 Managed Fast Ethernet (10/100) 1U Grey:11.2 Gbit/s
    • GS728TPPv1 Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey:56 Gbit/s
  • Forwarding rate
    • FS750/20 Managed Fast Ethernet (10/100) 1U Grey:8.3 Mpps
    • GS728TPPv1 Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey:41.7 Mpps
  • Jumbo frames
    • FS750/20 Managed Fast Ethernet (10/100) 1U Grey:10000
    • GS728TPPv1 Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey:9000
  • Packet buffer memory
    • FS750/20 Managed Fast Ethernet (10/100) 1U Grey:4.1 MB
    • GS728TPPv1 Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey:1 MB
  • Management protocols
    • FS750/20 Managed Fast Ethernet (10/100) 1U Grey:SNMPv1/v2c/v3
    • GS728TPPv1 Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey:SNMP v1 / v2c / v3
  • Flash memory
    • FS750/20 Managed Fast Ethernet (10/100) 1U Grey:16 MB
    • GS728TPPv1 Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey:32 MB
  • Power over Ethernet (PoE)
    • FS750/20 Managed Fast Ethernet (10/100) 1U Grey:No
    • GS728TPPv1 Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey:Yes

Side by side

Differences highlightedShow differences only (on)
Comparison of FS750/20, GS728TPPv1
82 specifications
Management featuresidentical
Quality of Service (QoS) supportKnown for oneYesUnknown — not stated by the source
System event logKnown for oneYesUnknown — not stated by the source
MIB supportKnown for oneRFC 1213 MIB-II, RFC 1643 Ethernet MIB, RFC 1493 Bridge MIB, RFC 2131 DHCP client, Private Enterprise MIBUnknown — not stated by the source
Ports & interfaces2 differ
Basic switching RJ-45 Ethernet ports quantityDiffers1824
Basic switching RJ-45 Ethernet ports typeDiffersFast Ethernet (10/100)Gigabit Ethernet (10/100/1000)
Fast Ethernet (copper) ports quantityKnown for one16Unknown — not stated by the source
Gigabit Ethernet (copper) ports quantityKnown for one2Unknown — not stated by the source
Installed SFP modules quantityKnown for one0Unknown — not stated by the source
Installed SFP+ modules quantityKnown for one0Unknown — not stated by the source
Combo SFP ports quantityKnown for one2Unknown — not stated by the source
Fiber optic connectorKnown for oneSFPUnknown — not stated by the source
SFP module slots quantityKnown for oneUnknown — not stated by the source4
Network2 differ
Networking standardsDiffersIEEE 802.1D, IEEE 802.1Q, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3, IEEE 802.3ad, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3zIEEE 802.1D, IEEE 802.1Q, IEEE 802.1p, IEEE 802.1x, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3at, IEEE 802.3i, IEEE 802.3u, IEEE 802.3z
Copper ethernet cabling technologyKnown for one10BASE-T, 100BASE-TX, 100BASE-T, 1000BASE-TUnknown — not stated by the source
Head-of-line (HOL) blockingKnown for oneYesUnknown — not stated by the source
Rate limitingKnown for oneYesUnknown — not stated by the source
Virtual LAN featuresDiffersPort-based VLAN, Tagged VLAN, VLAN Identifier ( VLAN ID)Port-based VLAN
Auto MDI/MDI-XKnown for oneUnknown — not stated by the sourceYes
Auto-negotiationKnown for oneUnknown — not stated by the sourceYes
Data transmission4 differ
Switching capacityDiffers11.2 Gbit/s56 Gbit/s
Forwarding rateDiffers8.3 Mpps41.7 Mpps
Jumbo framesDiffers100009000
Packet buffer memoryDiffers4.1 MB1 MB
Store-and-forwardKnown for oneUnknown — not stated by the sourceYes
Latency (1 Gbps)Known for oneUnknown — not stated by the source2.8 µs
Securityidentical
Access Control List (ACL)Known for oneYesUnknown — not stated by the source
Access Control List (ACL) rulesKnown for one200Unknown — not stated by the source
AuthenticationKnown for oneMAC-based authentication, Port-based authenticationUnknown — not stated by the source
Authentication typeKnown for oneRADIUSUnknown — not stated by the source
MAC address filteringKnown for oneYesUnknown — not stated by the source
Password protectionKnown for oneYesUnknown — not stated by the source
Security algorithmsKnown for one802.1x RADIUS, SNMPv3Unknown — not stated by the source
Multicast featuresidentical
Multicast supportKnown for oneYesUnknown — not stated by the source
Number of multicast groups filteredKnown for one256Unknown — not stated by the source
Protocols1 differ
Management protocolsDiffersSNMPv1/v2c/v3SNMP v1 / v2c / v3
Designidentical
Form factorKnown for one1UUnknown — not stated by the source
LED indicatorsKnown for oneYesUnknown — not stated by the source
Number of fansKnown for one0 fan(s)Unknown — not stated by the source
Wall mountableKnown for oneYesUnknown — not stated by the source
Housing materialKnown for oneUnknown — not stated by the sourceMetal
Performance1 differ
Memory typeKnown for oneDRAMUnknown — not stated by the source
Flash memoryDiffers16 MB32 MB
Firmware upgradeableKnown for oneYesUnknown — not stated by the source
Noise levelKnown for oneUnknown — not stated by the source31.8 dB
Mean time between failures (MTBF)Known for oneUnknown — not stated by the source247163 h
Poweridentical
Power supply includedKnown for oneYesUnknown — not stated by the source
Power consumption (max)Known for one7.6 WUnknown — not stated by the source
Power consumption (typical)Known for oneUnknown — not stated by the source483.5 W
Power over Ethernet (PoE)1 differ
Power over Ethernet (PoE)DiffersNoYes
Power over Ethernet (PoE) ports quantityKnown for oneUnknown — not stated by the source24
Total Power over Ethernet (PoE) budgetKnown for oneUnknown — not stated by the source384 W
Operational conditions1 differ
Operating temperature (T-T)Differs0 - 40 °C0 - 50 °C
Storage temperature (T-T)Known for one-25 - 70 °CUnknown — not stated by the source
Operating relative humidity (H-H)Known for one5 - 90%Unknown — not stated by the source
Storage relative humidity (H-H)Known for one5 - 95%Unknown — not stated by the source
Weight & dimensions3 differ
WidthDiffers330 mm440 mm
DepthDiffers180 mm257 mm
WeightDiffers2.2 kg4.36 kg
Packaging contentidentical
ManualKnown for oneYesUnknown — not stated by the source
Certificates1 differ
CertificationDiffersUL60950-1 2nd edition (UL) FCC/EN55022/CISPR 22 Class A VCCI Class A C-Tick EN60950 (TUV) EN55024 CE Mark CSA / cULVCCI Class A

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More network switch comparisons

All network switch comparisons